{
	"name": "blog",
	"private": true,
	"version": "0.0.0",
	"type": "module",
	"scripts": {
		"dev": "vite",
		"build": "vue-tsc && vite build",
		"preview": "vite preview"
	},
	"dependencies": {
		"vue": "^3.5.13",
		"vue-router": "4",
		"less": "^4.3.0",
		"timi-web": "link:..\\timi-web",
		"timi-tdesign-pc": "link:..\\timi-tdesign-pc",
		"tdesign-vue-next": "1.12.0"
	},
	"devDependencies": {
		"@types/node": "^22.15.18",
		"@vitejs/plugin-vue": "^5.2.4",
		"@typescript-eslint/eslint-plugin": "^8.25.0",
		"@typescript-eslint/parser": "^8.25.0",
		"@vue/cli-plugin-babel": "^5.0.8",
		"@vue/compiler-sfc": "^3.5.13",
		"@vue/eslint-config-prettier": "^10.2.0",
		"@vue/eslint-config-typescript": "^14.4.0",
		"typescript": "^5.8.3",
		"vite": "6.3.4",
		"vue-tsc": "^2.2.10",
		"eslint": "^8.56.0",
		"eslint-config-prettier": "^10.0.1",
		"eslint-plugin-prettier": "^5.2.3",
		"eslint-plugin-promise": "^7.2.1",
		"eslint-plugin-vue": "^9.32.0",
		"less": "^4.3.0",
		"prettier": "^3.5.2",
		"unplugin-auto-import": "^19.2.0",
		"unplugin-vue-components": "^28.5.0",
		"vite-plugin-dts": "^4.5.3",
		"vite-plugin-vue-setup-extend": "^0.4.0"
	}
}
